be.ehealth.technicalconnector.service.keydepot.impl

## Class KeyDepotServiceImpl

- java.lang.Object
- - be.ehealth.technicalconnector.service.keydepot.impl.KeyDepotServiceImpl

- All Implemented Interfaces:
    ConfigurationModuleBootstrap.ModuleBootstrapHook, KeyDepotService, Serializable

      public class KeyDepotServiceImpl
      extends Object
      implements KeyDepotService, ConfigurationModuleBootstrap.ModuleBootstrapHook

  The eHealth-platform Key Depot provides a web service interface to retrieve an encryption token key using the getETK operation. The service provided via this technical connector allows the invocation of this getETK operation based on specific input criteria that identify the to-be-found ETK of the receiver uniquely. Depending on the defined search criteria and corresponding availability of ETK's within the Key Depot, a result from this service can be one of the following: - An exact match is found. The corresponding ETK is returned and can be sub sequentially used to encrypt a message for a specific receiver. - No exact match is found. Multiple ETK's correspond with the given search criteria. A list of corresponding ETK search criteria is provided. You are invited to invoke the getETK operation again with more detailed search criteria. - A semantic error occurred. A list of corresponding errors that can be used for troubleshooting are returned. Implementation of `KeyDepotService`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyDepotServiceImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `GetEtkResponse` | `getETK(GetEtkRequest etkRequest)` Request an ETK from the Key Depot
    `Set<EncryptionToken>` | `getETKSet(IdentifierType identifierType, String identifierValue, String applicationId)` Gets the a `Set` of `EncryptionToken` from the KeyDepot based on the input parameters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyDepotServiceImpl

          public KeyDepotServiceImpl()

  - ### Method Detail

    - #### getETK

          public GetEtkResponse getETK(GetEtkRequest etkRequest)
                                throws TechnicalConnectorException

      Description copied from interface: `KeyDepotService`
      Request an ETK from the Key Depot
      Specified by:
        `getETK` in interface `KeyDepotService`
      Parameters:
        `etkRequest` - Request data structure for the getEtk operation.
      Returns:
        Response data structure for the getEtk operation. A response contains exactly one of the following: - an ETK (etk) - a list of matching ETK�s (matchingEtks) - a list of errors (errors) Therefore only one of the above attributes will be populated, the others will be empty/null.
      Throws:
        `TechnicalConnectorException` - When a technical exception occurs

    - #### getETKSet

          public Set<EncryptionToken> getETKSet(IdentifierType identifierType,
                                                String identifierValue,
                                                String applicationId)
                                         throws TechnicalConnectorException

      Description copied from interface: `KeyDepotService`
      Gets the a `Set` of `EncryptionToken` from the KeyDepot based on the input parameters.
      Specified by:
        `getETKSet` in interface `KeyDepotService`
      Throws:
        `TechnicalConnectorException`

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.